Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162156 - ypserv updates overwrites /var/yp/Makefile
Summary: ypserv updates overwrites /var/yp/Makefile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ypserv
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: 168424 170452 700703
TreeView+ depends on / blocked
 
Reported: 2005-06-30 13:58 UTC by Sean Dilda
Modified: 2015-01-08 00:10 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0055
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 700703 (view as bug list)
Environment:
Last Closed: 2006-03-15 15:34:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0055 qe-ready SHIPPED_LIVE ypserv bug fix update 2006-03-15 05:00:00 UTC

Description Sean Dilda 2005-06-30 13:58:19 UTC
/var/yp/Makefile contains important configuration information as to how the NIS
maps are made.

Currently, the ypserv rpm marks this file as %config, but not %config(noreplace).

This means that if a ypserv update comes along and changes the Makefile, the
next time the maps are remade (which may happen automatically from cron), they
will be wrong and potentially cause problems network wide.   This file really
should be %config(noreplace) to keep issues like this from coming up.

Comment 3 Chris Feist 2005-10-31 20:34:11 UTC
Fixed in ypserv-2.8-19 and later.

Comment 10 Red Hat Bugzilla 2006-03-15 15:34:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0055.html



Note You need to log in before you can comment on or make changes to this bug.